Class | ActiveMerchant::Billing::BogusGateway
In: | lib/active_merchant/billing/gateways/bogus.rb
Parent: | Gateway

Bogus Gateway

### Methods

authorize capture credit purchase store unstore

### Constants

AUTHORIZATION | = | '53433'
SUCCESS_MESSAGE | = | "Bogus Gateway: Forced success"
FAILURE_MESSAGE | = | "Bogus Gateway: Forced failure"
ERROR_MESSAGE | = | "Bogus Gateway: Use CreditCard number 1 for success, 2 for exception and anything else for error"
CREDIT_ERROR_MESSAGE | = | "Bogus Gateway: Use trans_id 1 for success, 2 for exception and anything else for error"
UNSTORE_ERROR_MESSAGE | = | "Bogus Gateway: Use trans_id 1 for success, 2 for exception and anything else for error"
CAPTURE_ERROR_MESSAGE | = | "Bogus Gateway: Use authorization number 1 for exception, 2 for error and anything else for success"

### Public Instance methods

authorize(money, creditcard, options = {})
capture(money, ident, options = {})
credit(money, ident, options = {})
purchase(money, creditcard, options = {})
store(creditcard, options = {})
unstore(identification, options = {})

[Validate]